import { BaseProvider } from '#templates/base/provider';
import { ActiveResidentStay } from '#models/ActiveResidentStay';

export class ActiveResidentStayProvider extends BaseProvider<ActiveResidentStay> {
	public static instance: ActiveResidentStayProvider;

	public static getInstance(): ActiveResidentStayProvider {
		ActiveResidentStayProvider.instance ??= new ActiveResidentStayProvider();
		return ActiveResidentStayProvider.instance;
	}

	public static get model() {
		return ActiveResidentStay;
	}

	constructor() {
		super('ActiveResidentStay');
	}
}
